Package org.apache.ignite.internal.util.lang.gridfunc

## Class NoOpClosure

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridAbsClosure
  - - org.apache.ignite.internal.util.lang.gridfunc.NoOpClosure

All Implemented Interfaces:
  `Serializable`, `Runnable`, `PublicAccessJob`, `IgniteRunnable`

    public class NoOpClosure
    extends GridAbsClosure
    implements PublicAccessJob

Absolute closure that does nothing.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`NoOpClosure()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply()` Absolute closure body.
`SecurityPermissionSet` `requiredPermissions()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.lang.GridAbsClosure

`run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoOpClosure

    public NoOpClosure()

### Method Detail

#### apply

    public void apply()

Absolute closure body.

Specified by:
  `apply` in class `GridAbsClosure`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### requiredPermissions

    public SecurityPermissionSet requiredPermissions()

Specified by:
  `requiredPermissions` in interface `PublicAccessJob`
Returns:
  Set of permissions to be authorized before job execution.